Bug 496824 - Review Request: ipa-gothic-fonts - Japanese Gothic-typeface OpenType font by IPA
Review Request: ipa-gothic-fonts - Japanese Gothic-typeface OpenType font by IPA
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 606189
  Show dependency treegraph
 
Reported: 2009-04-21 07:03 EDT by Akira TAGOH
Modified: 2010-07-23 03:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-23 07:38:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2009-04-21 07:03:49 EDT
Spec URL: http://tagoh.fedorapeople.org/ipa-gothic-fonts/ipa-gothic-fonts.spec
SRPM URL: http://tagoh.fedorapeople.org/ipa-gothic-fonts/ipa-gothic-fonts-003.01-1.fc10.src.rpm
Description:

IPA Font is a Japanese OpenType fonts that is JIS X 0213:2004
compliant, provided by Information-technology Promotion Agency, Japan.

This package contains Gothic (sans-serif) style font.
Comment 1 Parag AN(पराग) 2009-04-21 09:18:37 EDT
I think correct Source URL is http://info.openlab.ipa.go.jp/ipafont/fontdata/ipag00301.zip
Comment 3 Parag AN(पराग) 2009-04-22 04:01:33 EDT
Review:
+ package builds in mock (rawhide i586).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1313843
+ rpmlint output for SRPM and for RPM.
ipa-gothic-fonts.src: W: invalid-license IPA
ipa-gothic-fonts.noarch: W: invalid-license IPA
==> ignored as its present in wiki list. rpmlint need to be updated.

+ source files match upstream url
5ae6783ec8c1e0c6579eb2033bfc78f9  ipag00301.zip
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ fonts packaging guidelines used.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI App.
APPROVED.
Comment 4 Akira TAGOH 2009-04-22 04:15:15 EDT
Thanks for reviewing.

New Package CVS Request
=======================
Package Name: ipa-gothic-fonts
Short Description: Japanese Gothic-typeface OpenType font by IPA
Owners: tagoh
Branches: devel F-11 F-10 F-9
InitialCC: fonts-sig
Comment 5 Jens Petersen 2009-04-22 21:51:33 EDT
cvs done
Comment 6 Akira TAGOH 2009-04-23 07:38:37 EDT
available on koji now. thanks.

Note You need to log in before you can comment on or make changes to this bug.